## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### DELETE

/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}

#### Try it

**Delete a Playbook Step Assertion**

**cURL**

```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId} \
  --header 'X-API-Key: <api-key>'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Java (Unirest)**

```java
HttpResponse<String> response = Unirest.delete("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}")
  .header("X-API-Key", "<api-key>")
  .asString();
```

**Ruby**

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-trial.cognigy.ai/new/v2.0/playbooks/{playbookId}/steps/{stepId}/asserts/{assertId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-API-Key"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response

204
Playbook Step Assertion deleted.

Last modified on July 8, 2026

### Authorizations

**APIKeyHeader**  
`X-API-Key`
*string*
header
required
Supply the API Key in the HTTP-Header

### Headers

**Accept**  
*enum<string>*
The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **playbookId**  
  - string
  - required
  - The unique identifier for the Playbook.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`
- **stepId**  
  - string
  - required
  - The unique identifier for the Playbook Step.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`
- **assertId**  
  - string
  - required
  - The unique identifier for the Playbook Step Assertion.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`.

### Error Responses

- **400** Bad Request
- **401** Unauthorized
- **402** Payment Required
- **403** Forbidden
- **404** Not Found
- **405** Method Not Allowed
- **409** Conflict
- **413** Payload Too Large
- **500** Internal Server Error
- **501** Not Implemented
- **502** Bad Gateway
- **503** Service Unavailable
- **504** Gateway Timeout
